RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.StoreCertificateIterator Class Reference

Iterates over the certificates in a Windows certificate store. More...

Inheritance diagram for DeltaVSoft.RCFProto.StoreCertificateIterator:

## Public Member Functions
virtual void | Dispose ()
| StoreCertificateIterator (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore)
| Constructs a store iterator for the the given certificate location and store. More...
bool | MoveNext ()
| Moves to the next certificate in the store. Returns false if there are no more certificates, and true otherwise. More...
void | Reset ()
| Resets the iterator back to the beginning of the store. More...
Win32Certificate | Current ()
| Returns the current certificate. More...

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Iterates over the certificates in a Windows certificate store.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.StoreCertificateIterator.StoreCertificateIterator | ( | Win32CertificateLocation | certStoreLocation,
|  | Win32CertificateStore | certStore
| ) |  |

Constructs a store iterator for the the given certificate location and store.

## Member Function Documentation

Win32Certificate DeltaVSoft.RCFProto.StoreCertificateIterator.Current | ( |  | ) |

Returns the current certificate.

virtual void DeltaVSoft.RCFProto.StoreCertificateIterator.Dispose | ( |  | ) |
| virtual

bool DeltaVSoft.RCFProto.StoreCertificateIterator.MoveNext | ( |  | ) |

Moves to the next certificate in the store. Returns false if there are no more certificates, and true otherwise.

void DeltaVSoft.RCFProto.StoreCertificateIterator.Reset | ( |  | ) |

Resets the iterator back to the beginning of the store.

## Member Data Documentation

bool DeltaVSoft.RCFProto.StoreCertificateIterator.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- StoreCertificateIterator.cs